Skip to main content
POST
/
v1
/
inboxes
Create inbox
curl --request POST \
  --url https://api.openmail.sh/v1/inboxes \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "mailboxName": "<string>",
  "displayName": "<string>"
}
'
{
  "id": "<string>",
  "address": "jsmith@example.com",
  "displayName": "<string>",
  "createdAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
mailboxName
string

Inbox local part (default: random)

Required string length: 3 - 30
displayName
string

Sender display name shown in the From header

Maximum string length: 200

Response

Inbox created

id
string

OpenMail inbox ID

address
string<email>

Full email address

displayName
string | null

Sender display name

createdAt
string<date-time>